[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20060831 changes



buildsys redhat com wrote :

> yum-2.9.5-3
> -----------
> * Wed Aug 30 2006 Jeremy Katz <katzj redhat com> - 2.9.5-3
> - fix deprecation warnings in installonlyn (Jack Neely)

Looks like installonlyn.py is broken now :

# yum update
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 183, in getOptionsConfig
    errorlevel=opts.errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 123, in
doConfigSetup startupconf.pluginconfpath)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 227, in
doPluginSetup plugin_types, confpath)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 128, in
__init__ self._importplugins(types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 169, in
_importplugins self._loadplugin(modulefile, types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 185, in
_loadplugin module = imp.load_module(modname, fp, pathname, description)
  File "/usr/lib/yum-plugins/installonlyn.py", line 23, in ?
    from yum.packages import YumInstalledPackage, comparePoEVR
ImportError: cannot import name comparePoEVR

People might want to "yum --exclude=yum update" today ;-)

Matthias

-- 
Clean custom Red Hat Linux rpm packages : http://freshrpms.net/
Fedora Core release 5.91 (FC6 Test2) - Linux kernel 2.6.17-1.2600.fc6
Load : 2.41 2.23 1.99


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]